schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null
}

schema_install gwyddion-thumbnailer.schemas

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/lib ; rm -rf libgwyprocess2.so )
( cd usr/lib ; ln -sf libgwyprocess2.so.0.26.0 libgwyprocess2.so )
( cd usr/lib ; rm -rf libgwydraw2.so.0 )
( cd usr/lib ; ln -sf libgwydraw2.so.0.4.0 libgwydraw2.so.0 )
( cd usr/lib ; rm -rf libgwydraw2.so )
( cd usr/lib ; ln -sf libgwydraw2.so.0.4.0 libgwydraw2.so )
( cd usr/lib ; rm -rf libgwymodule2.so.0 )
( cd usr/lib ; ln -sf libgwymodule2.so.0.8.1 libgwymodule2.so.0 )
( cd usr/lib ; rm -rf libgwydgets2.so.0 )
( cd usr/lib ; ln -sf libgwydgets2.so.0.20.0 libgwydgets2.so.0 )
( cd usr/lib ; rm -rf libgwymodule2.so )
( cd usr/lib ; ln -sf libgwymodule2.so.0.8.1 libgwymodule2.so )
( cd usr/lib ; rm -rf libgwyprocess2.so.0 )
( cd usr/lib ; ln -sf libgwyprocess2.so.0.26.0 libgwyprocess2.so.0 )
( cd usr/lib ; rm -rf libgwyddion2.so.0 )
( cd usr/lib ; ln -sf libgwyddion2.so.0.18.0 libgwyddion2.so.0 )
( cd usr/lib ; rm -rf libgwyapp2.so )
( cd usr/lib ; ln -sf libgwyapp2.so.0.14.0 libgwyapp2.so )
( cd usr/lib ; rm -rf libgwydgets2.so )
( cd usr/lib ; ln -sf libgwydgets2.so.0.20.0 libgwydgets2.so )
( cd usr/lib ; rm -rf libgwyapp2.so.0 )
( cd usr/lib ; ln -sf libgwyapp2.so.0.14.0 libgwyapp2.so.0 )
( cd usr/lib ; rm -rf libgwyddion2.so )
( cd usr/lib ; ln -sf libgwyddion2.so.0.18.0 libgwyddion2.so )
